import { ComponentResource, Input, ComponentResourceOptions } from "@pulumi/pulumi";
import { Zone } from "@pulumi/aws/route53";
import { VpcDhcpOptions, VpcDhcpOptionsAssociation } from "@pulumi/aws/ec2";
export interface VpcDnsOptions {
    domainName: string;
    nameServers?: string[];
    prefix: string;
    region?: string;
    vpcId: string | Input<string>;
}
export declare class VpcDns extends ComponentResource {
    readonly zone: Zone;
    readonly dhcp: VpcDhcpOptions;
    readonly association: VpcDhcpOptionsAssociation;
    constructor(name: string, options: VpcDnsOptions, extra?: ComponentResourceOptions);
}
