import { VpcSubnetType } from "./VpcSubnet";
export interface VpcZoneCidrBlock {
    zone: string;
    cidr: string;
}
export interface VpcSubnetCidrBlock {
    zone: string;
    type: VpcSubnetType;
    cidr: string;
}
export declare class VpcCidr {
    readonly cidrBlock: string;
    readonly azList: string[];
    readonly dataBlocks: VpcSubnetCidrBlock[];
    readonly externalBlocks: VpcSubnetCidrBlock[];
    readonly internalBlocks: VpcSubnetCidrBlock[];
    readonly networkBlocks: VpcSubnetCidrBlock[];
    constructor(cidrBlock: string, azList: string[], zoneAdditionalBits?: number, subnetAdditionalBits?: number[]);
}
