import { ComponentResource, Input, ComponentResourceOptions } from "@pulumi/pulumi";
import { Eip, NatGateway, RouteTable } from "@pulumi/aws/ec2";
export interface VpcNatOptions {
    azLetter: string;
    namePrefix: string;
    subnetId: string | Input<string>;
    vpcId: string | Input<string>;
}
export declare class VpcNat extends ComponentResource {
    readonly eip: Eip;
    readonly nat: NatGateway;
    readonly routes: RouteTable;
    constructor(name: string, options: VpcNatOptions, extra?: ComponentResourceOptions);
}
